<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activity.StudyplanActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/x50"
        android:layout_marginTop="20dp"
        android:layout_marginBottom="@dimen/y100">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:background="#0000"
            android:src="@drawable/back" />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="学习计划"
            android:textColor="@color/textview_filter_uncheck"
            android:textSize="22sp" />
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/y100"
        android:layout_weight="1"
        android:orientation="horizontal">

        <DatePicker
            android:id="@+id/datepicker"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:calendarViewShown="true"
            android:spinnersShown="false"
            android:visibility="gone"></DatePicker>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="20dp"
            android:layout_weight="1"
            android:orientation="vertical">


            <LinearLayout
                android:id="@+id/choose_date_view"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/iv_lastmonth"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:layout_marginRight="10dp"
                    android:src="@drawable/date_left_icon" />

                <TextView
                    android:id="@+id/show_date_view"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="bottom"
                    android:text="2014年10月"
                    android:textColor="#ffffff"
                    android:textSize="14sp" />


                <ImageView
                    android:id="@+id/iv_nextmonth"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:layout_marginLeft="10dp"
                    android:src="@drawable/date_right_icon" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:orientation="horizontal">

                <TextView
                    style="@style/weekIndicatorStyle"
                    android:text="一" />

                <TextView
                    style="@style/weekIndicatorStyle"
                    android:text="二" />

                <TextView
                    style="@style/weekIndicatorStyle"
                    android:text="三" />

                <TextView
                    style="@style/weekIndicatorStyle"
                    android:text="四" />

                <TextView
                    style="@style/weekIndicatorStyle"
                    android:text="五" />

                <TextView
                    style="@style/weekIndicatorStyle"
                    android:text="六" />

                <TextView
                    style="@style/weekIndicatorStyle"
                    android:text="日" />
            </LinearLayout>


            <com.beanpodtech.allinone.widget.calendar.view.MonthPager
                android:id="@+id/calendar_view"
                android:layout_width="match_parent"

                android:layout_height="290dp"
                android:layout_marginTop="20dp" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/s_editplan"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="@dimen/x50"
            android:layout_weight="1"
            android:background="@drawable/bg_studyplan"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingVertical="@dimen/y10">

                <TextView
                    android:id="@+id/t_studyplan"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:paddingHorizontal="@dimen/x20"
                    android:text="今日计划"
                    android:textColor="#ff0000"
                    android:textSize="20sp"></TextView>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_toRightOf="@+id/t_studyplan"
                    android:paddingHorizontal="@dimen/x20"
                    android:text="老师推荐"
                    android:textColor="#000000"
                    android:textSize="20sp"
                    android:visibility="gone"></TextView>

                <ImageView
                    android:id="@+id/study_delete"
                    android:layout_width="@dimen/x90"
                    android:layout_height="@dimen/x70"
                    android:layout_centerVertical="true"
                    android:layout_toLeftOf="@+id/study_write"
                    android:paddingHorizontal="@dimen/x20"
                    android:scaleType="fitXY"
                    android:src="@drawable/study_delete"></ImageView>

                <ImageView
                    android:id="@+id/study_write"
                    android:layout_width="@dimen/x70"
                    android:layout_height="@dimen/x40"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:paddingHorizontal="@dimen/x20"
                    android:scaleType="fitXY"
                    android:src="@drawable/edit"></ImageView>

                <TextView
                    android:id="@+id/plan_save"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:background="@drawable/item_save_plan"
                    android:paddingHorizontal="@dimen/x20"
                    android:scaleType="fitXY"
                    android:text="保存"
                    android:visibility="gone"></TextView>
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/y2"
                android:layout_marginVertical="@dimen/y10"
                android:background="#b0b0b0"></LinearLayout>

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <TextView
                    android:id="@+id/air_image"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/bg"
                    android:visibility="gone"></TextView>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/to_plan_recycview"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"></androidx.recyclerview.widget.RecyclerView>
            </FrameLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/save_the_plan"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="@dimen/x50"
            android:layout_weight="1"
            android:background="@drawable/bg_studyplan"
            android:orientation="vertical"
            android:visibility="gone">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingVertical="@dimen/y10">

                <TextView
                    android:id="@+id/studyplan"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:paddingHorizontal="@dimen/x20"
                    android:text="编辑学习计划"
                    android:textColor="#000000"
                    android:textSize="20sp"></TextView>


                <TextView
                    android:id="@+id/tv_save_plan"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:background="@drawable/item_save_plan"
                    android:paddingHorizontal="@dimen/x20"
                    android:scaleType="fitXY"
                    android:text="保存计划"></TextView>
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/y2"
                android:layout_marginVertical="@dimen/y10"
                android:background="#b0b0b0"></LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/idplan_recycview"
                android:layout_width="match_parent"
                android:layout_height="match_parent"></androidx.recyclerview.widget.RecyclerView>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>